Subject: Re: linux-next: manual merge of the kunit-next tree with the kunit-fixes tree

From: David Gow <[email-masked]>
Date: Wed, 4 Mar 2026 17:16:13 +0800

Le 03/03/2026 à 10:00 PM, Mark Brown a écrit :
> Hi all,
> 
> [I note that Shuah is the only contact listed for the KUnit trees, is
> that right?]
> 
> Today's linux-next merge of the kunit-next tree got a conflict in:
> 
>    tools/testing/kunit/kunit_tool_test.py
> 
> between commit:
> 
>    40804c4974b8d ("kunit: tool: copy caller args in run_kernel to prevent mutation")
> 
> from the kunit-fixes tree and commit:
> 
>    7e331b560a76d ("kunit: tool: skip stty when stdin is not a tty")
> 
> from the kunit-next tree.
> 
> I fixed it up (see below) and can carry the fix as necessary. This
> is now fixed as far as linux-next is concerned, but any non trivial
> conflicts should be mentioned to your upstream maintainer when your tree
> is submitted for merging.  You may also want to consider cooperating
> with the maintainer of the conflicting tree to minimise any particularly
> complex conflicts.
> 
> [Sorry, forgot to diff - it's a simple add/add.]

Thanks, Mark. Shuah is definitely the right contact, given the KUnit 
branches live in the kselftest trees, but I won't object to being CCed 
as well. :-)

Shuah: I suspect the simplest resolution here is just to rebase the 
kunit branch on top of kunit-fixes. But it wouldn't be a problem if you 
wanted to shunt the stty fix into kunit-fixes instead (though that'd 
still require a rebase for the SIGINT handling patch).

Cheers,
-- David